"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicDelete = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Delete_1 = require("./Delete");
const UI_1 = require("../../UI");
exports.default = {
    title: "UI Bootstrap/Components/Crud/Delete",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Delete_1.Delete },
};
const BasicDelete = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Delete_1.Delete, { title: "Basic label", label: "Basic delete button", confirmationMessage: "Do you want to delete?", successMessage: "The deletion has been done", onConfirm: () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            addon_actions_1.action("Action confirmed")();
            return "ok";
        }), onSuccess: addon_actions_1.action("Action succeed") },
        react_1.default.createElement(Button_1.default, null, "Click on me"))));
exports.BasicDelete = BasicDelete;
//# sourceMappingURL=Delete.stories.js.map