"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicHeader = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Header_1 = require("./Header");
exports.default = {
    title: "UI Bootstrap/Components/Layout/Header",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Header_1.Header },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicHeader = () => {
    const variant = addon_knobs_1.select("Variant", ["dark", "light", undefined], undefined);
    return (react_1.default.createElement(Header_1.Header, { brand: "Test brand header", variant: variant, navItems: [{ href: "/sample", children: "Sample link" }] }));
};
exports.BasicHeader = BasicHeader;
//# sourceMappingURL=Header.stories.js.map