import "../../stories/config";
import React, { ReactElement } from "react";
import { useModal } from "./Modal";
import { ModalForm } from "./ModalForm";
import { useModalForm } from "./useModalForm";
declare const _default: {
    title: string;
    decorators: ((...args: any) => any)[];
    parameters: {
        info: {
            inline: boolean;
        };
        options: {
            showPanel: boolean;
        };
        component: ({ title, children, body, footer, onHide, ...modalProps }: import("./Modal").IModalProps) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
        subComponents: (typeof useModal | typeof ModalForm | typeof useModalForm)[];
    };
};
export default _default;
export declare const BasicModal: () => ReactElement;
export declare const useModalHook: () => ReactElement;
export declare const ModalWithForm: () => ReactElement;
export declare const UseModalFormHook: () => ReactElement;
