import "../../stories/config";
import React, { ReactElement } from "react";
import { Notification } from "./Notification";
declare const _default: {
    title: string;
    parameters: {
        info: {
            inline: boolean;
        };
        options: {
            showPanel: boolean;
        };
        component: typeof Notification;
        subComponents: (({ title, children, ...props }: React.PropsWithChildren<import("@reactionable/core").IErrorNotificationProps>) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>)[];
    };
    decorators: ((...args: any) => any)[];
};
export default _default;
export declare const BasicNotification: () => ReactElement;
export declare const NotificationWithComplexContent: () => ReactElement;
export declare const UseNotification: () => ReactElement;
export declare const successNotification: () => ReactElement;
export declare const UseSuccessNotification: () => ReactElement;
export declare const errorNotification: () => ReactElement;
export declare const UseErrorNotification: () => ReactElement;
