"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppBasic = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const core_1 = require("@reactionable/core");
const react_1 = tslib_1.__importStar(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
const Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
const Jumbotron_1 = tslib_1.__importDefault(require("react-bootstrap/Jumbotron"));
const Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
const UI_1 = require("../UI");
exports.default = {
    title: "UI Bootstrap/Components/App",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: core_1.App },
};
const HomeComponent = () => (react_1.default.createElement(Container_1.default, { fluid: true },
    react_1.default.createElement(Row_1.default, null,
        react_1.default.createElement(Col_1.default, null,
            react_1.default.createElement(Jumbotron_1.default, null,
                react_1.default.createElement("h1", null, "Hello, world!"),
                react_1.default.createElement("p", null, "This is a Basic hero unit, a Basic jumbotron-style component for calling extra attention to featured content or information."),
                react_1.default.createElement("p", null,
                    react_1.default.createElement(Button_1.default, { variant: "primary" }, "Learn more")))))));
const LazyHomeComponent = react_1.lazy(() => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    return ({
        default: HomeComponent,
    });
}));
const AppBasic = () => (react_1.default.createElement(core_1.App, { ui: UI_1.useUIProviderProps(), routes: [], HomeComponent: LazyHomeComponent }));
exports.AppBasic = AppBasic;
//# sourceMappingURL=App.stories.js.map