import { ReactElement } from "react";
import { Form } from "./Form";
import { FormField } from "./FormField";
declare const _default: {
    title: string;
    parameters: {
        info: {
            inline: boolean;
        };
        options: {
            showPanel: boolean;
        };
        component: typeof Form;
    };
    subComponents: (typeof FormField)[];
};
export default _default;
export declare const BasicForm: () => ReactElement;
export declare const FormWithLabelledInput: () => ReactElement;
export declare const FormWithTextArea: () => ReactElement;
export declare const FormWithSelect: () => ReactElement;
export declare const FormWithCheckbox: () => ReactElement;
