"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavItems = exports.NavItem = void 0;
const tslib_1 = require("tslib");
const NavItem_1 = require("@reactionable/core/lib/nav/NavItem");
const react_1 = tslib_1.__importDefault(require("react"));
const NavLink_1 = tslib_1.__importDefault(require("react-bootstrap/NavLink"));
const icon_1 = require("../icon/icon");
function NavItem(props) {
    const { icon, href } = props, linkProps = tslib_1.__rest(props, ["icon", "href"]);
    if (icon) {
        linkProps.children = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(icon_1.Icon, Object.assign({}, icon)),
            " ",
            linkProps.children));
    }
    return (react_1.default.createElement(NavItem_1.NavItem, { href: href },
        react_1.default.createElement(NavLink_1.default, Object.assign({}, linkProps))));
}
exports.NavItem = NavItem;
function NavItems(props) {
    return react_1.default.createElement(NavItem_1.NavItems, Object.assign({ Component: NavItem }, props));
}
exports.NavItems = NavItems;
//# sourceMappingURL=NavItem.js.map